Skip to main content
Platform O&M/Automated O&M/Script Library
GETScript LibrarySince SynchronousAuth Required

QueryGuestVmScript

QueryGuestVmScript

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/scripts

/zstack/v1/scripts

Operation ID

QueryGuestVmScript

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/scripts' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "script1", "description": "this is a script", "scriptContent": "ZWNobyBoZWxsb3dvcmxkCg\u003d\u003d", "renderParams": "[{\"key\":\"key\",\"value\":\"value\",\"description\":\"description\"}]", "platform": "Linux", "scriptType": "Shell", "scriptTimeout": 30 } ] }

Change History

This API has no change history records yet.

View all change history